#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
from behave import given, then, when


@given(u"the capability system is online")
def step_impl(context):
    # TODO:
    raise NotImplementedError(u"STEP: Given the capability system is online")


@when(u"a user submits the null capability")
def null_capability_submitted(context):
    # TODO:
    raise NotImplementedError(u"STEP: When a user submits the null capability")


@then(u"the null program is executed")
def execute_null_program():
    # TODO:
    raise NotImplementedError(u"STEP: the null program is executed")
